=== Rendering/CellGrid/Testing/Python/CMakeLists.txt ===
vtk_add_test_python(
  TestCellGridHardwarePicker.py,NO_RT,NO_VALID
  TestCellGridRenderedAreaPicker.py,NO_RT,NO_VALID
  TestCellGridRenderedAreaPickerWithPolyData.py,NO_RT,NO_VALID
  TestCellGridRendering.py,NO_RT
)
